/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.security.audit;

import aQute.bnd.annotation.ProviderType;

import java.util.Date;

/**
 * @author Brian Greenwald
 * @author Prathima Shreenath
 */
@ProviderType
public interface AuditEvent {

	public String getAdditionalInfo();

	public long getAuditEventId();

	public String getClassName();

	public String getClassPK();

	public String getClientHost();

	public String getClientIP();

	public long getCompanyId();

	public Date getCreateDate();

	public String getEventType();

	public String getMessage();

	public long getPrimaryKey();

	public String getServerName();

	public int getServerPort();

	public String getSessionID();

	public long getUserId();

	public String getUserName();

	public String getUserUuid();

	public void setAdditionalInfo(String additionalInfo);

	public void setAuditEventId(long auditEventId);

	public void setClassName(String className);

	public void setClassPK(String classPK);

	public void setClientHost(String clientHost);

	public void setClientIP(String clientIP);

	public void setCompanyId(long companyId);

	public void setCreateDate(Date createDate);

	public void setEventType(String eventType);

	public void setMessage(String message);

	public void setPrimaryKey(long primaryKey);

	public void setServerName(String serverName);

	public void setServerPort(int serverPort);

	public void setSessionID(String sessionID);

	public void setUserId(long userId);

	public void setUserName(String userName);

	public void setUserUuid(String userUuid);

	public AuditEvent toEscapedModel();

}